<?xml version="1.0" encoding="ISO-8859-1"?> 
 <portlet-app xmlns="http://java.sun.com/xml/ns/portlet/portlet-app_1_0.xsd"
   version="1.0"  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
   xsi:schemaLocation="http://java.sun.com/xml/ns/portlet/portlet-app_1_0.xsd 
       http://java.sun.com/xml/ns/portlet/portlet-app_1_0.xsd"> 
   <portlet> 
     <description>ADF Faces Demo Portlet</description> 
     <portlet-name>ADFFacesDemo</portlet-name> 
     <display-name>ADF Faces Demo portlet</display-name> 
     <portlet-class>oracle.portlet.server.bridges.jsf.FacesPortlet 
     </portlet-class> 
     <init-param> 
      <name>DefaultPage.view</name>
      <value>/index.jspx</value>
     </init-param> 
     <init-param> 
      <name>BridgeLifecycleListeners</name>
      <value>
       oracle.portlet.server.bridges.jsf.adf.ADFFacesBridgeLifecycleListener,
       oracle.portlet.server.bridges.jsf.adf.BindingFacesBridgeLifecycleListener
      </value>
     </init-param> 
    <supports> 
     <mime-type>text/html</mime-type> 
     <portlet-mode>VIEW</portlet-mode> 
     </supports> 
     <supported-locale>en</supported-locale> 
     <portlet-info> 
      <title>ADF Faces Demo Portlet</title> 
      <short-title>ADFFacesDemo</short-title> 
     </portlet-info> 
   </portlet> 
 </portlet-app>